llrrmetag - Remove the energy policy


Use the llrrmetag command to remove energy policies from the database.


Syntax


llrrmetag [ -? | -H | -v | [-u user] [-j job] [-t MM/DD/[YY]YY] [-e
energy_tag]]


Flags


-? 
   Provides a short usage message.

-H 
   Provides extended help information.

-v 
   Displays the name of the command, release number, service level,
   service level date, and lowest level of the operating system to run
   this release.

-u user
   Removes all energy policies that were created by the specified
   LoadLeveler user.

-j job
   Removes energy policies that were created by the specified
   LoadLeveler job or job step. 

   The format of a job identifier is host.jobid. The format of a step
   identifier is host.jobid.stepid.    

   where: 

   *  host is the name of the machine that assigned the job and step
      identifiers.

   *  jobid is the job number assigned to the job when it was submitted.

   *  stepid is the job step number assigned to the job step when it was
      submitted. The job or step identifier can be specified in an
      abbreviated form, jobid or jobid.stepid, when the command is
      invoked on the same machine that assigned the job and step
      identifiers. In this case, LoadLeveler will use the local
      machine's hostname to construct the full job or step identifier.

-t MM/DD/[YY]YY
   Removes the energy tag if it has not been used since the time
   specified in this option. 

   where: 

   MM 
      Is the month.

   DD 
      Is the day.

   YYYY
      Is the year.

      Note: A 2-digit year can also be used with this option (MM/DD/YY).

-e energy_tag
   Is an energy tag name of the form [user.]tag_name. 

   where: 
   *  user is the user name who generated the energy tag.

   *  tag_name is the user-defined identifier in the job command file.


Description


The llrrmetag  command removes energy policies from the database. You
can only remove your own energy policies, but the system administrator
can run this command for any energy policy.

This command is available only when the database-based configuration is
used by LoadLeveler.


Examples


1. To remove all energy policy tags generated by the user ID tom, issue:

   llrrmetag -u tom

   You should receive a response similar to the following:

   llrrmetag: User loadl removed 3 energy policy tags.

   When this command is issued by user ID tom, llrrmetag is all that
   needs to be issued.

2. For the administrator to remove the energy policy with the tag
   long_running_job submitted by user ID tom, issue:

   llrrmetag -e tom.long_running_job

   You should receive a response similar to the following:

   llrrmetag: User loadl removed 1 energy policy tags.


Security

LoadLeveler administrators and users can issue this command.
